import { jsx } from "react/jsx-runtime";
import { FileX as FileX$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileX = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileX", ...props, children: /* @__PURE__ */ jsx(FileX$1, { weight: variant }) });
  }
);
FileX.displayName = "FileX";
Object.assign(FileX, { isGdsIcon: true });
export {
  FileX
};
